import request from "@/utils/request";
import {AxiosPromise} from "axios";
import {GradeList} from "@/api/grade/types";
import {TeacherEquipment, TeacherList} from "@/api/teacher/types";
/**
 * 获取教师列表
 */
export function getTeacherList(
	id: number,
	keyword: string
): AxiosPromise<TeacherList[]> {
	return request({
		url: "/board/v1/teacher",
		method: "get",
		params: {school_id: id, search: keyword},
	});
}

/**
 * 获取教师设备
 */
export function getTeacherEquipment(
	id: number
): AxiosPromise<TeacherEquipment> {
	return request({
		url: "/board/v1/teacher-equipment",
		method: "get",
		params: {teacher_id: id},
	});
}

/**
 * 获取教师班级
 */
export function getTeacherGrade(id: number): AxiosPromise<GradeList[]> {
	return request({
		url: "/board/v1/teacher-class",
		method: "get",
		params: {teacher_id: id},
	});
}